VE error editing board description
Closed, ResolvedPublic

Description

This might be a domino error from something else.

Reported by @Etonkovidova at T110358#1576773.

 ve.dm.Document.getBranchNodeFromOffset @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:189ve.dm.Surface.setSelection @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:152ve.dm.SurfaceFragment.select @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:166ve.ce.Surface.handleLinearDelete @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:410ve.ce.Surface.onDocumentKeyDown @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:366ve.EventSequencer.callListener @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:44ve.EventSequencer.onEvent @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:41ve.EventSequencer.pendingCalls @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:39jQuery.event.dispatch @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=3vxc1Hwb:65jQuery.event.add.elemData.handle @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=3vxc1Hwb:60

Uncaught Error: Invalid start offset: -1ve.Document.selectNodes @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:31ve.dm.SurfaceFragment.getSelectedNode @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:165ve.dm.SurfaceFragment.getSelectedModels @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:158ve.ui.LinearContext.getRelatedSources @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:470ve.ui.LinearContext.isInspectable @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:470ve.ui.LinearContext.afterContextChange @ load.php?debug=false&lang=en&modules=ext.flow.editors.none|ext.flow.visualEditor|ext.visualEditor.c…:469mw.loader.implement.ve.ui.DesktopContext.afterContextChange @ VM3297:116
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 8:50 PM
Catrope triaged this task as Unbreak Now! priority.Aug 27 2015, 5:50 PM

Change 234343 had a related patch set uploaded (by Catrope):
VisualEditorWidget: Guard against setting selection to -1

https://gerrit.wikimedia.org/r/234343

Catrope claimed this task.Aug 27 2015, 7:18 PM
Catrope moved this task from Untriaged to QA Review on the Collaboration-Team-Archive-2015-2016 board.

Change 234343 merged by jenkins-bot:
VisualEditorWidget: Guard against setting selection to -1

https://gerrit.wikimedia.org/r/234343

Re-checked in betalabs - the specific error is not present anymore.

DannyH closed this task as Resolved.Sep 1 2015, 5:17 PM
DannyH added a subscriber: DannyH.